Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1486955 - Review request: freezer-api
Summary: Review request: freezer-api
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-ROCKY
TreeView+ depends on / blocked
 
Reported: 2017-08-30 21:25 UTC by Eric Harney
Modified: 2019-03-14 16:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-14 16:55:28 UTC
Embargoed:


Attachments (Terms of Use)

Comment 1 Alan Pevec 2018-04-05 22:14:17 UTC
This was not blocking any of RDO-<RELEASE> bz trackers so it was missed, you could also raise the package review at the weekly https://etherpad.openstack.org/p/RDO-Meeting

You can proceed with Step 2 [1], licensecheck is good:
$ licensecheck -r ./freezer |cut -d: -f 2|sort -u
 Apache (v2.0)
 Apache (v2.0) GENERATED FILE
 MIT/X11 (BSD like)
 *No copyright* Apache
 *No copyright* Apache (v2.0)
 *No copyright* Apache (v2.0) GENERATED FILE
 *No copyright* CC by (v3.0)
 *No copyright* GENERATED FILE
 *No copyright* UNKNOWN
 UNKNOWN

MIT licensed are:
./freezer/freezer/lib/pep3143daemon/daemon.py: MIT/X11 (BSD like)
./freezer/freezer/lib/pep3143daemon/pidfile.py: MIT/X11 (BSD like)
which looks like bundling and needs to be looked at closely during formal package review (most likely will need to be de-bundled and replace with an external dependency).

[1] https://www.rdoproject.org/documentation/add-packages/


Note You need to log in before you can comment on or make changes to this bug.